Index: anr/gantt.l
===================================================================
--- anr/gantt.l	(revision 125)
+++ anr/gantt.l	(revision 145)
@@ -661,20 +661,29 @@
                 newlineadded=0;
                 if ( sum1==0 && last->nbma[0]!=0) 
-                    fprintf(stderr,"ERROR: %s:%s probleme sur l'an 1 (in table=%2.1f, in gantt=%2.1f\n",
+                    fprintf(stderr,"ERROR:   %-10s:%s probleme sur l'an 1 (in table=%2.1f, in gantt=%2.1f\n",
                         part->name,label,sum1,last->nbma[0]);
-                if (sum1!=0 && sum1>last->nbma[0] ) 
-                    fprintf(stderr,"WARNING: %s:%s probleme sur l'an 1 (in table=%2.1f, in gantt=%2.1f\n",
+                else if (sum1!=0 && last->nbma[0]==0 ) 
+                    fprintf(stderr,"ERROR:   %-10s:%s probleme sur l'an 1 (in table=%2.1f, in gantt=%2.1f\n",
                         part->name,label,sum1,last->nbma[0]);
-                if (sum2!=0 && sum2>last->nbma[1]) 
-                    fprintf(stderr,"WARNING: %s:%s probleme sur l'an 2 (in table=%2.1f, in gantt=%2.1f\n",
+                else if (sum1!=0 && sum1>last->nbma[0] ) 
+                    fprintf(stderr,"WARNING: %-10s:%s probleme sur l'an 1 (in table=%2.1f, in gantt=%2.1f\n",
+                        part->name,label,sum1,last->nbma[0]);
+                if ( sum2==0 && last->nbma[1]!=0) 
+                    fprintf(stderr,"ERROR:   %-10s:%s probleme sur l'an 2 (in table=%2.1f, in gantt=%2.1f\n",
                         part->name,label,sum2,last->nbma[1]);
-                if ( sum2==0 && last->nbma[1]!=0) 
-                    fprintf(stderr,"ERROR: %s:%s probleme sur l'an 2 (in table=%2.1f, in gantt=%2.1f\n",
+                else if ( sum2!=0 && last->nbma[1]==0) 
+                    fprintf(stderr,"ERROR:   %-10s:%s probleme sur l'an 2 (in table=%2.1f, in gantt=%2.1f\n",
+                        part->name,label,sum2,last->nbma[1]);
+                else if (sum2!=0 && sum2>last->nbma[1]) 
+                    fprintf(stderr,"WARNING: %-10s:%s probleme sur l'an 2 (in table=%2.1f, in gantt=%2.1f\n",
                         part->name,label,sum2,last->nbma[1]);
                 if ( sum3==0 && last->nbma[2]!=0) 
-                    fprintf(stderr,"ERROR: %s:%s probleme sur l'an 3 (in table=%2.1f, in gantt=%2.1f\n",
+                    fprintf(stderr,"ERROR:   %-10s:%s probleme sur l'an 3 (in table=%2.1f, in gantt=%2.1f\n",
                         part->name,label,sum3,last->nbma[2]);
-                if (sum3!=0 && sum3>last->nbma[2]) 
-                    fprintf(stderr,"WARNING: %s:%s probleme sur l'an 3 (in table=%2.1f, in gantt=%2.1f\n",
+                else if ( sum3!=0 && last->nbma[2]==0) 
+                    fprintf(stderr,"ERROR:   %-10s:%s probleme sur l'an 3 (in table=%2.1f, in gantt=%2.1f\n",
+                        part->name,label,sum3,last->nbma[2]);
+                else if (sum3!=0 && sum3>last->nbma[2]) 
+                    fprintf(stderr,"WARNING: %-10s:%s probleme sur l'an 3 (in table=%2.1f, in gantt=%2.1f\n",
                         part->name,label,sum3,last->nbma[2]);
             }
@@ -735,15 +744,4 @@
                 char label[1000];
                 gen_label_base(label,last);
-    /* doublons , non ?
-            if ( (sum1!=0 && sum1>last->nbma[0] ) || (sum1==0 && last->nbma[0]!=0) )
-                    fprintf(stderr,"ERROR: %s:%s probleme sur l'an 1 (in table=%2.1f, in gantt=%2.1f\n",
-                        part->name,label,sum1,last->nbma[0]);
-                if ( (sum2!=0 && sum2>last->nbma[1]) || (sum2==0 && last->nbma[1]!=0) )
-                    fprintf(stderr,"ERROR: %s:%s probleme sur l'an 2 (in table=%2.1f, in gantt=%2.1f\n",
-                        part->name,label,sum2,last->nbma[1]);
-                if ( (sum3!=0 && sum3>last->nbma[2]) || (sum3==0 && last->nbma[2]!=0) )
-                    fprintf(stderr,"ERROR: %s:%s probleme sur l'an 3 (in table=%2.1f, in gantt=%2.1f\n",
-                        part->name,label,sum3,last->nbma[2]);
-*/
             }
         }
